Chapter 5. Known issues

To view information about known issues in this release of CodeReady Studio, see Known Issues.

The following known issues are highlighted:

  • Quarkus known issues in CodeReady Studio:

    • JBIDE-28203: Code generation phase fails when running a Quarkus project.
  • Red Hat Central known issues in CodeReady Studio:

    • JBIDE-28244: In early access mode CodeReady Studio fails to install Red Hat Application Migration Toolkit (AMT) while installing all components from Red Hat Central.
  • JDK known issues in CodeReady Studio:

    • JBDS-5042: Java 17 installer can result in error message WARNING: Illegal reflective access by com.izforge.izpack.installer.InstallerFrame to field sun.awt.X11.XToolkit.awtAppClassName.

      To work around this issue, run the --add-opens option during the installation:

      java --add-opens java.desktop/sun.awt.X11=ALL-UNNAMED -jar codereadystudio-latest-installer-standalone.jar
  • Server/JMX tools known issues in CodeReady Studio:

    • JBIDE-28282: The JMX navigator fails to recognize local processes.
    • JBIDE-28251: Remote server fails to start on Linux systems connected via local remote system.
    • JBIDE-28216: Server cannot be stopped by stop context menu item.
  • Target platform, installer, and other known issues in CodeReady Studio:

    • JBIDE-27605: Conflicting dependency when updating from bring your own Eclipse (BYOE) 2020-09 with JBT 4.17.0.Final to JBT 4.18.0.Final.

      To work around this issue, click HelpInstall New Software, select the Jbosstools stable update site, and select both Jakarta RESTful Web Services and Jakarta Enterprise Web Services. Both feaures will be updated.

      Alternatively, select Preferences → Install/Update → Available Software and disable the latest Eclipse release. As a result, Eclipse 2020.12 is installed.

    • JBDS-5060: Bring your own Eclipse (BYOE) 2020-09 with JBT 4.21.0.Final can’t be updated to JBT 4.21.1.Final.
    • JBDS-4818: The CRS installer is not signed for MacOS.
    • JBIDE-26118: Unable to create Jakarka Server Faces composite component from current selected source.
  • OpenShift known issues in CodeReady Studio:

    • JBIDE-28288: OpenShift application explorer results in Error: cannot attach the debugger: timeout message when debugging NodeJS applications.
    • JBIDE-28224: Creating an OpenShift application component for a rest-http Java application results in a NullPointerException.
    • JBIDE-27741: CRC does not start properly and results in error message Unable to execute request to request url https://api.crc.testing:6443/.well-known/oauth-authorization-server.
  • Webservices known issues in CodeReady Studio:

    • JBIDE-27743: Unable to create Web Service client from wsdl definition using Wildfly 22 and Apache CXF 3.3.5+.

      To work around this issue, use Apache Axis or JBossWS instead of CXF runtime to continue your service client definition.
      Alternatively, update and export the order of your source folder so that your source folder appears first. To do so, use the following path: Dyn. Web Project → Properties → Java Build Path → Order.

    • JBIDE-27744: WS Tester does not allow POST request due to low size of DH key.
    • JBIDE-27781: NPE occurs during deletion of Dynamic Web Project with generated web.xml descriptor.
    • JBIDE-27842: WS Tester Jakarta Enterprise Web Services invocation for local wsdl results in error message Provider org.apache.axis2.jaxws.spi.Provider not found.
  • Fuse Integration Project known issues in CodeReady Studio:

    • FUSETOOLS-3337: Unable to deploy Fuse project with DataTransformation to Fuse on Karaf 7.x runtime.
    • FUSETOOLS-3373: Fuse Integration Project created with an error for Camel Fuse 7.2 and 7.1.

      To work around this issue, add the following lines to the jakarta.xml.bind-api file to define the jakarta version:

      <dependency>
      <groupId>jakarta.xml.bind</groupId>
      <artifactId>jakarta.xml.bind-api</artifactId>
      <version>2.3.3</version>
      </dependency>

      The latest available version is 2.3.3. For further information on the latest version, see Maven Repository: Jakarta XML Binding API.